> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all documents



## OpenAPI

````yaml openapi-core.json GET /v1/documents
openapi: 3.1.0
info:
  title: Yorlet Core API
  description: Core platform APIs including buildings, customers, units, and tasks.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/documents:
    get:
      tags:
        - Documents
      summary: List all documents
      operationId: documents_list
      responses:
        '200':
          description: A object with a data property that contains an array of documents.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - document
                        application:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The ID of the application the document is associated
                            with.
                        customer:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The ID of the customer the document is associated
                            with.
                        enquiry:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The ID of the enquiry the document is associated
                            with.
                        file:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                            - type: 'null'
                          description: The file the document references.
                        name:
                          type:
                            - string
                            - 'null'
                          description: The name of the document.
                        owner:
                          type:
                            - string
                            - 'null'
                          description: The ID of the owner the document is associated with.
                        renewal_intent:
                          type:
                            - string
                            - 'null'
                          description: >-
                            The ID of the renewal intent the document is
                            associated with.
                        visible:
                          type: boolean
                          description: >-
                            Whether the document is visible to the associated
                            customer.
                      required:
                        - id
                        - created
                        - object
                        - application
                        - customer
                        - enquiry
                        - file
                        - name
                        - owner
                        - renewal_intent
                        - visible
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````